%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn __SHELLFU_MODNAME__
%global shellfu_req shellfu >= 0.10.4, shellfu < 0.11

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2

Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %shellfu_req
BuildRequires:  shellfu-bash-inigrep
BuildRequires:  shellfu-bash-pretty
BuildRequires:  shellfu-sh-exit

Requires: %shellfu_req
Requires: shellfu-bash
Requires: shellfu-bash-inigrep
Requires: shellfu-bash-pretty
Requires: shellfu-sh-exit
%description
saturnin is Shellfu library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
